name='upscayl-bin'
version='2.10.0'
release='1'
desc='Free and Open Source AI Image Upscaler'
homepage='https://github.com/upscayl/upscayl'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('AGPL3')
provides=('upscayl')
conflicts=('upscayl')

deps=('fuse2' 'nss' 'zlib')
deps_redos=('fuse3' 'nss' 'zlib')
build_deps=('util-linux')

sources=("https://github.com/upscayl/upscayl/releases/download/v${version}/upscayl-${version}-linux.zip")
checksums=('SKIP')

prepare() {
	cd "${srcdir}"
    printf '%s\n' 'Icon=org.upscayl.Upscayl' >> upscayl-${version}/resources/org.upscayl.Upscayl.desktop
}

package() {
    cd "${srcdir}"
    install -Dm755 upscayl ${pkgdir}/usr/bin/upscayl

    cd upscayl-${version}/resources

    install -dm755 ${pkgdir}/usr/share/applications
    install -dm755 ${pkgdir}/usr/share/pixmaps
    mv org.upscayl.Upscayl.desktop ${pkgdir}/usr/share/applications/
    mv 512x512.png ${pkgdir}/usr/share/pixmaps/org.upscayl.Upscayl.png

    install -dm755 ${pkgdir}/opt/upscayl
    mv * ${pkgdir}/opt/upscayl/
}
